Get NucleotideMonomer by ID
Get a single NucleotideMonomer by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
nucleotide_monomer_id
ID of the NucleotideMonomer.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
attachmentPoints
A list of the capping group present at each location where the monomer can form a bond with other monomers.
calculatedMolecularWeight
The molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure.
canonicalSmiles
The SMILES representation of the monomer chemical structure after being standardized.
createdAt
customMolecularWeight
Optional molecular weight value that the user can provide to override the calculated molecular weight.
exactMolecularWeight
The exact molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure.
id
modifiedAt
monomerType
The part of the nucleotide structure that the monomer fits into, i.e. backbone or branch.
Allowed values:
name
naturalAnalog
Natural equivalent of the monomer. For example, a modified ribose would have r as the natural analog,
which is the symbol for natural ribose.
originalSmiles
The SMILES string that was originally provided upon creation of the monomer.
polymerType
The polymer type of the monomer, per the HELM definition of polymer type. Because nucleotide monomers are only used in
modified nucleotide sequences, the polymer type of a NucleotideMonomer is always RNA.
Allowed values:
symbol
User-defined identifier of the monomer, unique on the monomer type.
visualColor
The color code of the monomer visual symbol.
visualSymbol
The shape of the monomer visual symbol.
Errors
400
Nucleotide Monomer Get Request Bad Request Error
403
Nucleotide Monomer Get Request Forbidden Error
404
Nucleotide Monomer Get Request Not Found Error
429
Nucleotide Monomer Get Request Too Many Requests Error
500
Nucleotide Monomer Get Request Internal Server Error